org.apache.solr.client.solrj.cloud.autoscaling

## Class Cell

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Cell

All Implemented Interfaces:
  MapSerializable, MapWriter, NavigableObject

Deprecated.
to be removed in Solr 9.0 (see SOLR-14656)

    public class Cell
    extends Object
    implements MapWriter

Each instance represents an attribute that is being tracked by the framework such as , freedisk, cores etc

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`Cell(int index, String name, Object val, Object approxVal, Variable.Type type, Row row)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Cell` `copy()` Deprecated.
`Object` `getApproxValue()` Deprecated.
`String` `getName()` Deprecated.
`Row` `getRow()` Deprecated.
`Object` `getValue()` Deprecated.
`String` `toString()` Deprecated.
`void` `writeMap(MapWriter.EntryWriter ew)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### Cell

    public Cell(int index,
                String name,
                Object val,
                Object approxVal,
                Variable.Type type,
                Row row)

Deprecated.

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Deprecated.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### getRow

    public Row getRow()

Deprecated.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

#### copy

    public Cell copy()

Deprecated.

#### getName

    public String getName()

Deprecated.

#### getValue

    public Object getValue()

Deprecated.

#### getApproxValue

    public Object getApproxValue()

Deprecated.